Page MenuHomeFreeBSD

[man page] Introduce channel flags.
ClosedPublic

Authored by oshogbo on Feb 4 2018, 7:39 PM.

Details

Reviewers
brueffer
bcr
Group Reviewers
manpages
Summary

Instead of passing the flags over to the recv/xfer functions make it an configuration of the service.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

oshogbo created this revision.Feb 4 2018, 7:39 PM
bcr added a subscriber: bcr.Feb 5 2018, 10:47 AM

Two typos, but the rest looks good.

lib/libcasper/libcasper/libcasper.3
113

s/betwen/between/

113

s/uniq/unique/

oshogbo marked 2 inline comments as done.Feb 5 2018, 10:59 AM
oshogbo updated this revision to Diff 38880.

Thank you @bcr !
I can always count on you!

brueffer requested changes to this revision.Feb 5 2018, 11:02 AM
brueffer added a subscriber: brueffer.
brueffer added inline comments.
lib/libcasper/libcasper/libcasper.3
113

use -> uses

This revision now requires changes to proceed.Feb 5 2018, 11:02 AM
bcr accepted this revision.Feb 5 2018, 11:03 AM

Thanks for your continued work on documenting capsicum functionality, @oshogbo!

brueffer added inline comments.Feb 5 2018, 11:04 AM
lib/libcasper/libcasper/libcasper.3
113

Also, ".Xr nvlist 9" ?

bcr added a comment.Feb 5 2018, 11:04 AM

Argh, I missed that. Good that we both can count on @brueffer. ;-)

;-) Sorry for my only spotty contributions. Nice work @bcr and @oshogbo !

oshogbo marked an inline comment as done.Feb 6 2018, 11:22 AM
oshogbo updated this revision to Diff 38932.

Thanks guys @bcr and @brueffer working with you is a pleasure!

lib/libcasper/libcasper/libcasper.3
113

We already are using the nvlist in this man doc and there is no reference to nvlist 9, do you thing we should do it here or in all places?

jilles added a subscriber: jilles.Feb 6 2018, 11:01 PM
jilles added inline comments.
lib/libcasper/libcasper/libcasper.3
113

Does this correspond to NV_FLAG_NO_UNIQUE (names in nvlist need not be unique)?

oshogbo added inline comments.Feb 7 2018, 10:59 AM
lib/libcasper/libcasper/libcasper.3
113

Yes it is.

brueffer added inline comments.Feb 7 2018, 11:19 AM
lib/libcasper/libcasper/libcasper.3
113

I usually go for all places.

Should this be a separate diff to not obfuscate commit?

brueffer accepted this revision.Feb 14 2018, 10:17 AM

Sorry for the dealy; yeah, a separate diff may be nice.

This revision is now accepted and ready to land.Feb 14 2018, 10:17 AM
oshogbo closed this revision.Feb 17 2018, 12:24 PM

Committed as part of the r329452